X509_ACERT_GET_ATTR(3)

NAME
X509_ACERT_get_attr, X509_ACERT_get_attr_by_NID, X509_ACERT_get_attr_by_OBJ, X509_ACERT_get_attr_count - Retrieve attributes from an X509_ACERT structure

SYNOPSIS
 #include <openssl/x509_acert.h>

 X509_ATTRIBUTE *X509_ACERT_get_attr(const X509_ACERT *x, int loc);
 int X509_ACERT_get_attr_by_NID(const X509_ACERT *x, int nid, int lastpos);
 int X509_ACERT_get_attr_by_OBJ(const X509_ACERT *x, const ASN1_OBJECT *obj,
                                int lastpos);
 int X509_ACERT_get_attr_count(const X509_ACERT *x);

DESCRIPTION
X509_ACERT_get0_attr() retrieves the locth X509_ATTRIBUTE from an X509_ACERT x. X509_ACERT_get_attr_count() returns the total number of attributes in the X509_ACERT.

X509_ACERT_get_attr_by_NID() and X509_ACERT_get_attr_by_OBJ() retrieve the next attribute location matching nid or obj after lastpos. lastpos should initially be set to -1. If there are no more entries -1 is returned. If nid is invalid (doesn't correspond to a valid OID) then -2 is returned.

RETURN VALUES
X509_ACERT_get0_attr() return a X509_ATTRIBUTE from an attribute certificate, or NULL if the specified attribute is not found.

X509_ACERT_get_attr_by_NID() and X509_ACERT_get_attr_by_OBJ() return the location of the next attribute requested or -1 if not found. X509_ACERT_get_attr_by_NID() can also return -2 if the supplied NID is invalid.

X509_ACERT_get_attr_count() returns the number of attributes in the given attribute certificate.

HISTORY
X509_ACERT_get0_attr(), X509_ACERT_get_attr_by_NID(), X509_ACERT_get_attr_by_OBJ() and X509_ACERT_get_attr_count() were added in OpenSSL 3.4.

COPYRIGHT
Copyright 2023-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.